fksdfgjkfgdjhdf
Contributor
Contributor

Upgrade VCenter 'Appliance' without Flash

Jump to solution

Hi all.

I have been running a standalone host with a VSphere 'appliance' for about, I don't know .. five years.   This is running ESXi 5.5, and I have not done much to upgrade it.  

Now that Flash is on the way out, I find that I cannot connect at all, using any browser.  This is a problem if I want to start up a VM for example, as all of the disks (except /boot) on all of the VMs are encrypted and need a password at boot.  For the moment, everything is running, but if there is a power cut, I'm in trouble.  

I can ssh both to the host and to the appliance. 

I can also get to the management page, but I'm not sure that it allows upgrade other than to 5.5.

Basically, what I need to ask you fine people, is how I can upgrade my appliance to HTML 5.5 version, when I do not currently have any access to the GUI?   

Also, I think I will need a licence key.  I already had one, for the original install, but I don't recall paying for it.  I certainly didn't pirate it, but can you tell me how I can get a new one? 

Thank you all.  

0 Kudos
1 Solution

Accepted Solutions
Ajay1988
VMware Employee
VMware Employee

There is no HTML version for 5.5 . Its ancient already and not supported. Please upgrade to 6.7 ( 5.5 > 6.5  > 6.7)  version. For licensing ; better to connect with VMware licensing team  . (https://kb.vmware.com/s/article/81665)

If you think your queries have been answered
Mark this response as "Correct" or "Helpful".

Regards,
AJ

View solution in original post

4 Replies
scott28tt
VMware Employee
VMware Employee

@fksdfgjkfgdjhdf 

Moderator: Moved to vSphere Upgrade & Install Discussions

0 Kudos
e_espinel
Expert
Expert

Hello.
Attached are details you should consider

The End of General support

VMware vSphere 6.0 March 12,2020

VMware vSphere 6.5 November 15,2021

VMware vSphere 6.7 October 15,2022

 

About the access in version 5.5 you have the old VMware vSphere client attached link, verify the number of the build you have installed.
http://www.vmwarearena.com/download-link-for-all-versions-of-vmware-vsphere-client/

Another option is the ESXi Embedded Host Client link
https://flings.vmware.com/esxi-embedded-host-client

On my clients with older versions of VMware vSphere 5.X or 6.X I recommend that you use the following browser only for VMware administration. For other tasks a different browser.

Waterfor Classic 2020.12 (based on firefox ESR 56) and AdobeFlash 29.0.0.113

When you acquired version 5.5 you had to register in VMware with a user and password to obtain the license key. If you do not have the respective user and password but you have the purchase invoice or the license document that VMware sent you, you should contact VMware support and present your case. to regain access to your account.

The web is

https://my.vmware.com

As an S&S (Support and Subscription) contract is included with the VMware license that lasts one or three years, it may be that you are entitled to the license update to version 6.

 

Enrique Espinel
Senior Technical Consultant IBM, Lenovo and VMware.
VMware VSP-SV 2018, VTSP-SV 2018 VMware Technical Solutions Professional Hyper-Converged Infrastructure (VTSP-HCI 2018)
VMware Technical Solutions Professional (VTSP) 4 / 5.
Please mark my comment as the Correct Answer/Kudos if this solution resolved your problem Thank you.
Пожалуйста, отметьте мой комментарий как "Правильный ответ/Кудос", если это решение решило вашу проблему. Спасибо.
0 Kudos
Ajay1988
VMware Employee
VMware Employee

There is no HTML version for 5.5 . Its ancient already and not supported. Please upgrade to 6.7 ( 5.5 > 6.5  > 6.7)  version. For licensing ; better to connect with VMware licensing team  . (https://kb.vmware.com/s/article/81665)

If you think your queries have been answered
Mark this response as "Correct" or "Helpful".

Regards,
AJ

View solution in original post

larstr
Champion
Champion

fksdfgjkfgdjhd,

5.5 is very old and out of support, but the .Net client should work fine.

html5 support is included in 6.5 and newer.

 

Lars

0 Kudos